﻿using Syncfusion.Data;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Media;

namespace DataGrid
{
    public class StudentCollection
    {
        #region cellstyle properties
        FontFamily _cellFontFamily = new FontFamily("Segoe UI");
        public FontFamily CellFontFamily
        {
            get
            {
                return _cellFontFamily;
            }
            set
            {
                _cellFontFamily = value;
            }
        }
        FontWeight _cellFontWeight = FontWeights.Black;
        public FontWeight CellFontWeight
        {
            get
            {
                return _cellFontWeight;
            }
            set
            {
                _cellFontWeight = value;
            }
        }
        double _cellFontSize = 18;
        public double CellFontSize
        {
            get
            {
                return _cellFontSize;
            }
            set
            {
                _cellFontSize = value;
            }
        }
        Brush _cellBackground = Brushes.Red;
        public Brush CellBackground
        {
            get
            {
                return _cellBackground;
            }
            set
            {
                _cellBackground = value;
            }
        }
        #endregion

        #region HeaderStyle properties
        FontFamily _headerFontFamily = new FontFamily("Times New Roman");
        public FontFamily HeaderFontFamily
        {
            get
            {
                return _headerFontFamily;
            }
            set
            {
                _headerFontFamily = value;
            }
        }
        FontWeight _headerFontWeight = FontWeights.Bold;
        public FontWeight HeaderFontWeight
        {
            get
            {
                return _headerFontWeight;
            }
            set
            {
                _headerFontWeight = value;
            }
        }
        double _headerFontSize = 20;
        public double HeaderFontSize
        {
            get
            {
                return _headerFontSize;
            }
            set
            {
                _headerFontSize = value;
            }
        }
        Brush _headerBackground = Brushes.Blue;
        public Brush HeaderBackground
        {
            get
            {
                return _headerBackground;
            }
            set
            {
                _headerBackground = value;
            }
        }
        #endregion

        #region StackedHeaderStyle properties
        FontFamily _stackedHeaderFontFamily = new FontFamily("Consolas");
        public FontFamily StackedHeaderFontFamily
        {
            get
            {
                return _stackedHeaderFontFamily;
            }
            set
            {
                _stackedHeaderFontFamily = value;
            }
        }
        FontWeight _stackedHeaderFontWeight = FontWeights.DemiBold;
        public FontWeight StackedHeaderFontWeight
        {
            get
            {
                return _stackedHeaderFontWeight;
            }
            set
            {
                _stackedHeaderFontWeight = value;
            }
        }
        double _stackedHeaderFontSize = 22;
        public double StackedHeaderFontSize
        {
            get
            {
                return _stackedHeaderFontSize;
            }
            set
            {
                _stackedHeaderFontSize = value;
            }
        }
        Brush _stackedHeaderBackground = Brushes.PaleGreen;
        public Brush StackedHeaderBackground
        {
            get
            {
                return _stackedHeaderBackground;
            }
            set
            {
                _stackedHeaderBackground = value;
            }
        }

        #endregion

        ObservableCollection<Student> stud;
        public ObservableCollection<Student> Stud
        {
            get
            {
                return stud;
            }
            set
            {
                stud = value;
            }
        }        
        public StudentCollection()
        {
            stud = new ObservableCollection<Student>();            
            stud.Add(new Student() { Rollno = 1, Name = "Allison", Age = 12, Mark1 = 50, Mark2 = 75, Mark3 = 56 });
            stud.Add(new Student() { Rollno = 2, Name = "Phyllis", Age = 22, Mark1 = 2, Mark2 = 2, Mark3 = 5 });
            stud.Add(new Student() { Rollno = 3, Name = "Matthew", Age = 25, Mark1 = 35, Mark2 = 56, Mark3 = 45 });
            stud.Add(new Student() { Rollno = 4, Name = "Andrew", Age = 23, Mark1 = 45, Mark2 = 56, Mark3 = 45 });
            stud.Add(new Student() { Rollno = 5, Name = "Ronald", Age = 34, Mark1 = 56, Mark2 = 45, Mark3 = 56 });
            stud.Add(new Student() { Rollno = 6, Name = "Jackson", Age = 13, Mark1 = 10, Mark2 = 2, Mark3 = 4 });         
        }
    }
}
